//based on the Adafruit BluefruitLE library (SPI)
// Plan:
// Die Brille soll Daten wie zum Beispiel die Temperatur (von einem Temperatursensor  gemessen) anzeigen können. Diese Werte soll er unter anderem auch von anderen Arduinos kabellos erhalten können.  


//https://github.com/adafruit/Adafruit_BluefruitLE_nRF51

//include header
#include <Adafruit_SSD1306.h>

//display via hardware SPI
#define OLED_DC     5
#define OLED_CS     10
#define OLED_RESET  6
#define DISPLAY_X   128
#define DISPLAY_Y   64
Adafruit_SSD1306 display(OLED_DC, OLED_RESET, OLED_CS);
uint8_t displaybuffer[DISPLAY_X*DISPLAY_Y/8]; //linear binary buffer


int i;
int z;// Zaehler
int a=1; //Smoothness
int b=2; //Geschwindigkeit
int c=6; //Kreisabstand
int d=120;//Max Kreise
int e=-120;//Startwert Kreise

#if (SSD1306_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif

void setup() {
  //create Serial communication with 115200 baud
  Serial.begin(115200);

  //wait until Serial connection over USB is established
  //while(!Serial){}

  //start display
  display.begin(SSD1306_SWITCHCAPVCC);
  display.display();
  Serial.println(F("display is set up."));

  //test display
  //displayTest();
  //fpsTest();
  //Targeter();
//  String str;
//  for(uint8_t i = 1; i <= DISPLAY_Y/2; i++){
//    str = char(i);
//    str += "test1234test5678";
//    fillBuffer(str);
  //}
  
}

void loop() {
  Targeter();
}
